/*
    This file is part of myrrdin.

    myrrdin is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as 
    published by the Free Software Foundation, either version 3 of 
    the License, or (at your option) any later version.

    myrrdin is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public 
    License along with myrrdin. If not, see <http://www.gnu.org/licenses/>.
*/

module tileset;

import dsfml.window.all;
import dsfml.system.all;
import dsfml.graphics.all;

import imagecache;

alias Image[int] TileList;

class Tileset {
    private Cache cache;
    public TileList tiles;

    this(Cache cache) {
	this.cache = cache;	
    }

    void add_tile(int id, char[] filename) {
	this.tiles[id] = this.cache.get_image(filename);
    }
}
